> For the complete documentation index, see [llms.txt](https://docs.chord.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chord.co/chord-oms/shopify/developer-tools/gatsby/sdk-reference.md).

# SDK Reference

The Chord client-side Javascript SDK is installed as a Gatsby theme. It's available as an npm package, `@chordcommerce/gatsby-theme-performance`, via GitHub Packages.

Despite the name, this package does not provide a visual theme. To quote from the [Gatsby documentation](https://www.gatsbyjs.com/docs/themes/what-are-gatsby-themes/):

{% hint style="info" %}
Gatsby themes are plugins that include a `gatsby-config.js` file and add pre-configured functionality, data sourcing, and/or UI code to Gatsby sites. You can think of Gatsby themes as separate Gatsby sites that can be put together and allow you to split up a larger Gatsby project!
{% endhint %}

The `gatsby-theme-performance` theme includes the Chord SDK, a set of methods you can import and use in your React components to do things like add items to a cart and check out. The theme also pre-configures your Gatsby site with a number of useful commerce features like product feeds and internationalization support.

The Chord SDK is available to use in your React components via React hooks:

| Hook                                                                                    | Description                                                                                           |
| --------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------- |
| [useAnalytics](/chord-oms/shopify/developer-tools/gatsby/sdk-reference/useanalytics.md) | Provides support for sending UI-related tracking events to Segment.                                   |
| [useAuth](/chord-oms/shopify/developer-tools/gatsby/sdk-reference/useauth.md)           | Provides support for user authentication with a Shopify customer account.                             |
| [useCart](/chord-oms/shopify/developer-tools/gatsby/sdk-reference/usecart.md)           | Returns the current shopping cart, and functions for creating and interacting with the shopping cart. |
| [useUser](/chord-oms/shopify/developer-tools/gatsby/sdk-reference/useuser.md)           | Returns the current user, and functions for loading data about the user.                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chord.co/chord-oms/shopify/developer-tools/gatsby/sdk-reference.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
